org.apache.jmeter.report.processor

## Class RequestsSummaryConsumer

- java.lang.Object
- - org.apache.jmeter.report.processor.AbstractSampleProcessor
  - - org.apache.jmeter.report.processor.AbstractSampleConsumer
    - - org.apache.jmeter.report.processor.RequestsSummaryConsumer

All Implemented Interfaces:
  SampleConsumer, SampleProcessor, SampleProducer

    public class RequestsSummaryConsumer
    extends AbstractSampleConsumer

The class GrapherConsumer provides a consumer that count succeeded and failed samples.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`RequestsSummaryConsumer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consume(Sample sample, int channel)` Consumes the specified sample ton the specified channel.
`void` `startConsuming()` Start the sample consuming.
`void` `stopConsuming()` Stops the consuming process.

### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleConsumer

`addSampleConsumer, getConsumedChannelCount, getConsumedMetadata, getConsumer, getDataFromContext, getName, getWorkingDirectory, produce, removeSampleConsumer, setChannelAttribute, setConsumedMetadata, setDataToContext, setName, setProducedMetadata, setSampleConsumer, setSampleConsumers, setSampleContext, startProducing, stopProducing`

### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleProcessor

`getChannelAttribute, getSampleContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.report.processor.SampleProcessor

`getChannelAttribute, getSampleContext`

### Constructor Detail

#### RequestsSummaryConsumer

    public RequestsSummaryConsumer()

### Method Detail

#### startConsuming

    public void startConsuming()

Description copied from interface: `SampleConsumer`
Start the sample consuming. This step is used by consumer to initialize their process.

#### consume

    public void consume(Sample sample,
                        int channel)

Description copied from interface: `SampleConsumer`
Consumes the specified sample ton the specified channel.

Parameters:
  `sample` - The sample to be consumed
  `channel` - The channel on which the sample is consumed

#### stopConsuming

    public void stopConsuming()

Description copied from interface: `SampleConsumer`
Stops the consuming process. No sample will be processed after this service has been called.